﻿-- Load failure check
if not (Checklist2 and Checklist2.CORE_LOADED_SUCCESSFULLY) then return end

-- Register defaults
local defaults = {
  Settings = {    -- AddOn settings go in here
    ListLastUsed = "Welcome to Checklist2!",
    versionID = Checklist2.versionID,
    versionString = Checklist2.version,
    latestKnownVersionID = Checklist2.versionID,
    latestKnownVersionString = Checklist2.version
    },
  Lists = {}, -- Lists go in here
  FuBarPlugin = { -- Plugin settings go in here
    tooltipWrap = 50
    }
  }

Checklist2:RegisterDB("Checklist2DB")
Checklist2:RegisterDefaults('profile', defaults)

Checklist2.NumOfPossibleLists = 2;
function Checklist2:GenerateRandomList()
  local list
  local l = math.random(1,2)
  if l == 1 then
    list = {
					["items"] = {
						["check16Text"] = "Got a suggestion? Feature requests? Bug reports? Post them on Curse or WoWInterface, or contact me at the WowAce IRC channel (irc://irc.freenode.org/wowace). I'm always online when I'm coding :)",
						["check2Text"] = "Contact me (Quezacolt) at Checklist2's WoWInterface or Curse page to report bugs or issues.",
						["check9Text"] = "As of this version, the Checklist2 window will fade out when the setup window is shown. All buttons in the main button are locked except for the checkboxes and the number buttons.",
						["check12Text"] = "http://files.wowace.com/   (most updated)",
						["check6Text"] = "To add or remove list items, right-click the tasks indicator on the bottom of this window.",
						["check13Text"] = "http://www.curse.com/downloads/details/8934/",
						["check11Text"] = "You can check for updates at the following sites:",
						["check3Text"] = "",
						["check15Text"] = "",
						["check4Text"] = "To modify your lists, right click on an existing list to bring up the dropdown menu.",
						["check8Text"] = "The list sharing feature allows your lists to be sent to other players, or broadcast over your group or guild to other Checklist2 users. Right click a list and select \"Send to...\" to use it.",
						["check14Text"] = "http://www.wowinterface.com/downloads/info7612-Checklist.html",
						["check10Text"] = "And that should be it for this version - Thank you for downloading Checklist2!",
						["check7Text"] = "Mousing over the FuBar/Minimap plugin will display all unchecked list items on the tooltip. The length of the text is adjustable - right click the plugin and select \"Tooltip width\"",
						["check1Text"] = "You are using Checklist v2.0.0.0725, the first official release version of Checklist2.",
						["check5Text"] = "To edit the text of a list item, click its number, located to the right of its checkbox.",
					},
					["checks"] = {
						["checked1"] = false,
						["checked5"] = false,
						["checked11"] = false,
						["checked13"] = false,
						["checked7"] = false,
						["checked12"] = false,
						["checked6"] = false,
						["checked9"] = false,
						["checked14"] = false,
						["checked10"] = false,
						["checked8"] = false,
						["checked3"] = false,
						["checked4"] = false,
						["checked15"] = false,
						["checked16"] = false,
						["checked2"] = false,
					},
				}
  else
    list = {
      checks = {
        checked1  = false,
        checked2  = false,
        checked3  = false,
        checked4  = false,
        checked5  = false,
        checked6  = false,
        checked7  = false,
        checked8  = false,
        checked9  = false,
        checked10 = false,
        checked11 = false,
        checked12 = false,
        checked13 = false,
        checked14 = false,
        checked15 = false,
        checked16 = false,
        checked17 = false
      },
      items = {
        check1Text  = "Do not stand at my grave and weep.",
        check2Text  = "I am not there. I do not sleep.",
        check3Text  = "I am in a thousand winds that blow,",
        check4Text  = "across Northrend's bright and shining snow.",
        check5Text  = "I am the gentle showers of rain,",
        check6Text  = "on Westfall's fields of golden grain.",
        check7Text  = "I am in the morning hush,",
        check8Text  = "of Stranglethorn's jungle, green and lush.",
        check9Text  = "I am in the drums loud and grand,",
        check10Text = "the thunderous hooves across Nagrand.",
        check11Text = "I am the stars warmly gleaming,",
        check12Text = "over Darnassus softly dreaming.",
        check13Text = "I am the birds that sing.",
        check14Text = "I am in each lovely thing.",
        check15Text = "Do not stand at my grave and cry.",
        check16Text = "I am not there. I do not die.",
        check17Text = " - Alicia's Poem (see http://www.wowwiki.com/Caylee_Dak)"
        }
      }
  end
  return list
end





function Checklist2:CreateHelpList()
  -- copied directly from my Checklist2 saved variables file, so it's kinda messed up...
  self.db.profile.Lists["Welcome to Checklist2!"] = {
					["items"] = {
						["check16Text"] = "Got a suggestion? Feature requests? Bug reports? Post them on Curse or WoWInterface, or contact me at the WowAce IRC channel (irc://irc.freenode.org/wowace). I'm always online when I'm coding :)",
						["check2Text"] = "Contact me (Quezacolt) at Checklist2's WoWInterface or Curse page to report bugs or issues.",
						["check9Text"] = "As of this version, the Checklist2 window will fade out when the setup window is shown. All buttons in the main button are locked except for the checkboxes and the number buttons.",
						["check12Text"] = "http://files.wowace.com/   (most updated)",
						["check6Text"] = "To add or remove list items, right-click the tasks indicator on the bottom of this window.",
						["check13Text"] = "http://www.curse.com/downloads/details/8934/",
						["check11Text"] = "You can check for updates at the following sites:",
						["check3Text"] = "",
						["check15Text"] = "",
						["check4Text"] = "To modify your lists, right click on an existing list to bring up the dropdown menu.",
						["check8Text"] = "The list sharing feature allows your lists to be sent to other players, or broadcast over your group or guild to other Checklist2 users. Right click a list and select \"Send to...\" to use it.",
						["check14Text"] = "http://www.wowinterface.com/downloads/info7612-Checklist.html",
						["check10Text"] = "And that should be it for this version - Thank you for downloading Checklist2!",
						["check7Text"] = "Mousing over the FuBar/Minimap plugin will display all unchecked list items on the tooltip. The length of the text is adjustable - right click the plugin and select \"Tooltip width\"",
						["check1Text"] = "You are using Checklist v2.0.0.0725, the first official release version of Checklist2.",
						["check5Text"] = "To edit the text of a list item, click its number, located to the right of its checkbox.",
					},
					["checks"] = {
						["checked1"] = false,
						["checked5"] = false,
						["checked11"] = false,
						["checked13"] = false,
						["checked7"] = false,
						["checked12"] = false,
						["checked6"] = false,
						["checked9"] = false,
						["checked14"] = false,
						["checked10"] = false,
						["checked8"] = false,
						["checked3"] = false,
						["checked4"] = false,
						["checked15"] = false,
						["checked16"] = false,
						["checked2"] = false,
					},
				}
  self:CollectListNames()
  self:ListScrollBarUpdate()
end